# Restore old style debuginfo creation for rpm >= 4.14.
%undefine _debugsource_packages
%undefine _debuginfo_subpackages

# -*- rpm-spec -*-
BuildRoot:      %_topdir/nfb-framework-6.19.3-Source
Summary:        NDK software library
Name:           nfb-framework
Version:        6.19.3
Release:        1_gc66b758%{?dist}
License:        BSD and GPLv2
Group:          unknown
Vendor:         CESNET

Source: nfb-framework-6.19.3.tar.gz




%define debug_package %{nil}

%define _rpmdir %_topdir/RPMS
%define _srcrpmdir %_topdir/SRPMS

%define _unpackaged_files_terminate_build 0


%define __python python3


%description
Software bundle for CESNET NDK firmware platform


# This is a shortcutted spec file generated by CMake RPM generator
# we skip _install step because CPack does that for us.
# We do only save CPack installed tree in _prepr
# and then restore it in build.
%prep
%setup -c


%build
mkdir cpack_rpm_build_dir
cd cpack_rpm_build_dir
'/usr/bin/cmake'  -DCPACK_PACKAGING_INSTALL_PREFIX=/ ../nfb-framework-6.19.3-Source
make %{?_smp_mflags}

#p build

%install

cd cpack_rpm_build_dir
cpack -G RPM
mv *.rpm %_rpmdir

%clean

%changelog
* Tue Aug 22 2023 Martin Spinler <spinler@cesnet.cz> - 6.19.1-1
- [FEATURE] added DPDK version of ndp-tool
- [FEATURE] added support for Fedora build: PIE flag for executables
- [BUGFIX] some fixes for E-Tile MDIO, e.g. loopback
- [BUGFIX] include .pxd files into Python RPM package

* Tue Aug 1 2023 Martin Spinler <spinler@cesnet.cz> - 6.19.0-1
- [FEATURE] updated documentation (mainly Python)
- [FEATURE] enable NDP interface for libnfb extension
- [FEATURE] disable virtual interfaces for multiple PCIe endpoints (DPDK)
- [BUGFIX] some small fixes and improvements in Python NFB module

* Tue Jul 25 2023 Martin Spinler <spinler@cesnet.cz> - 6.18.2-1
- [FEATURE] updated documentation (mainly Python)
- [FEATURE] added Python libnfb extension
- [BUGFIX] fixed some isssues in Python NFB module

* Wed Jul 12 2023 Martin Spinler <spinler@cesnet.cz> - 6.18.1-1
- [FEATURE] added hwmon interface for FPGA temperature and transceivers
- [FEATURE] added 400G and E-Tile MDIO features
- [BUGFIX] some small fixes and improvements in Python NFB module
- [BUGFIX] correct boot ID on N6010 IA-420F cards

* Thu Apr 20 2023 Martin Spinler <spinler@cesnet.cz> - 6.18.0-1
- [FEATURE] added support for N6010 card (hwmon, flash, boot/RSU)
- [FEATURE] added support for PMA type switching on F-Tile Ethernet IPs
- [FEATURE] added BaseComp class in Python API

* Mon Mar 20 2023 Martin Spinler <spinler@cesnet.cz> - 6.17.4-1
- [BUGFIX] set RSS hash function type

* Tue Mar 14 2023 Martin Spinler <spinler@cesnet.cz> - 6.17.3-1
- [FEATURE] added nic_rss component

* Thu Feb 16 2023 Martin Spinler <spinler@cesnet.cz> - 6.17.2-1
- [FEATURE] added pynfb - Python package for NFB API
- [FEATURE] try to restart NDP queue if first start fail in driver
- [BUGFIX] do not stuck on queue stop, even with kill signal
- [BUGFIX] disable MI access to components inside of the unconnected endpoint

* Fri Feb 10 2023 Martin Spinler <spinler@cesnet.cz> - 6.17.1-1
- [FEATURE] added support for boot on ia420f card in active serial mode
- [BUGFIX] safe handling the transmission of undersized and oversized packets
- [OPT] reduced delay when no data available in NDP tool

* Fri Jan 27 2023 Martin Spinler <spinler@cesnet.cz> - 6.17.0-1
- [FEATURE] added gRPC libnfb-ext for remote operations
- [FEATURE] added flags field to ndp_packet
- [FEATURE] added fixups for Intel E-Tile ethernet with MDIO
- [MAINTENANCE] DMA Medusa control functions moved to libnetcope

* Mon Dec 5 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.7-1
- [BUGFIX] fixed flashing of the firmware into 400G1 card.

* Tue Nov 15 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.5-1
- [FEATURE] added base support Intel FPGA Secure Device Manager
- [FEATURE] added API for libnfb extensions
- [FEATURE] added fixups for Intel F-Tile ethernet with MDIO
- [FEATURE] ndp-generate can clear (-C) data before send

* Wed Oct 5 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.4-1
- [FEATURE] added support for build with Copr

* Wed Oct 5 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.3-1
- [FEATURE] added support for 400G1 card

* Thu Jul 14 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.2-1
- [FEATURE] allow to enter kernel NDP ring size with K/G/M suffix
- [FEATURE] allow to set kernel NDP ring size with dma tool
- [BUGFIX] make available all modes in ndp-tool

* Fri Jun 10 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.1-1
- [FEATURE] added base support for QSFP-DD modules (CMIS memory layout)
- [MAINTENANCE] added kernel 5.18 support

* Wed Apr 13 2022 Martin Spinler <spinler@cesnet.cz> - 6.16.0-1
- [MAINTENANCE] Public release

